#!/bin/sh
#
# Simple script to force zero-level backup at next Amanda run
# kovacs.zoltan@mimoza.hu 2004-09-13

CONFNAME=$1
HOSTNAME=$2
AMANDAUSER=backup


if [ -z "$CONFNAME" -o -z "$HOSTNAME" ] ; then
    echo "Usage: $0 Amanda_config_name Hostname_to_backup (as root or $AMANDAUSER)."
    exit 1
fi

case `whoami` in 
    root)
        su $AMANDAUSER -c "/usr/sbin/amadmin $CONFNAME force $HOSTNAME" 
        ;;
    $AMANDAUSER)
        /usr/sbin/amadmin $CONFNAME force $HOSTNAME
        ;;
    *)
        echo "Run as root or $AMANDAUSER please."
	exit 1
esac

