#!/bin/bash
#
# Egyszeru script az Amanda szalaghibak (0 byte hosszusagu file-ok) orvosolasara.
# A szalag konyvtarban minden 0 hosszu file-t egy szabalyos, egy blokkos Amanda kimenetre cserel.

TAPEPATH=$1

if [ ! -z "$TAPEPATH" ] ; then
    ls $TAPEPATH | while read line
    do
	if [ ! -s $TAPEPATH/$line ] ; then    
	    DUMMYFILE=`echo $line | awk -F "." '{print $1}'`.DUMMY.$line
	    DUMMYHEAD=`echo $line | awk -F "." '{print $1}'`-DUMMY.$line
#	    echo $DUMMYHEAD, $DUMMYFILE
	    echo '0 0 32768' > $TAPEPATH/$DUMMYHEAD
	    cat > $TAPEPATH/$DUMMYFILE << "EOF"
AMANDA: FILE 20000101 DUMMY.NOWHERE /DUMMY lev 0 comp .gz program /bin/tar
This is a dummy file to work around Amanda tape error. XXXXXXX
EOF
       	for i in `seq 1 3263`;
    	do
	    echo -n "XXXXXXXXXX" >> $TAPEPATH/$DUMMYFILE ;
        done
	rm $TAPEPATH/$line
	fi
    done    
else
    echo "Usage: $0 path_to_Amanda_tapedir_to_purge" ;
fi