#!/bin/bash
#
# Egyszeru script az Amanda szalaghibak (0 byte hosszusagu file-ok) orvosolasara.
# A szalagok konyvtaraiban minden 0 hosszu file-t egy szabalyos, egy blokkos Amanda kimenetre cserel.
                                                                                                                        
TASKUSER=$1	# User running the Amanda task to correct
TASKPATH=$2	# Path to tapes of Amanda task to correct

if [ ! -z "$TASKPATH" -a `whoami` = "$TASKUSER" ] ; then
    ls -L1 $TASKPATH | while read TAPEPATH
    do
	/usr/local/sbin/amanda-tape-purge.sh $TASKPATH/$TAPEPATH/data
    done

# uSAGE REMINDER

else
    echo Usage: $0 Username_running_Amanda_task Amanda_task_name
    if [ `whoami` != "$TASKUSER" ]; then
        echo Please run as $TASKUSER.
    fi
    echo
fi
